ATA_TIMING_CYCLE2MOD(9)

NAME
ata_timing_cycle2mode - find xfer mode for the specified cycle duration

SYNOPSIS

u8 ata_timing_cycle2mode(unsigned int xfer_shift, int cycle);

ARGUMENTS

xfer_shift
    ATA_SHIFT_* value for transfer type to examine.

cycle
    cycle duration in ns

DESCRIPTION

Return matching xfer mode for cycle. The returned mode is of the transfer type specified by xfer_shift. If cycle is too slow for xfer_shift, 0xff is returned. If cycle is faster than the fastest known mode, the fasted mode is returned.

LOCKING

None.

RETURNS

Matching xfer_mode, 0xff if no match found.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT